Jobs
List jobs
Scope: agent:read
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Query Parameters
agent_id?agent_id
The agent whose queue to list. Name this, environment_id, or both.
Match
^agt-[0-9a-z]+$environment_id?environment_id
The environment whose jobs to list.
Match
^env-[0-9a-z]+$filter?filter
Filter expression to narrow results. Uses the Admiral filter DSL.
Filterable fields:
status: filter by job status.kind: filter by job kind.
Example: field['status'] = 'JOB_STATUS_QUEUED'
Length
length <= 1024page_size?page_size
The page_size query parameter.
Format
int32Range
0 <= value <= 100page_token?page_token
The page_token query parameter.
Response Body
application/json
curl -X GET "https://example.com/v1/jobs"{ "jobs": [ { "id": "string", "kind": "JOB_KIND_UNSPECIFIED", "status": "JOB_STATUS_UNSPECIFIED", "agent_id": "string", "environment_id": "string", "run_id": "string", "assignment_id": "string", "components": [ "string" ], "profile": "string", "artifact_digest": "string", "attempt": 0, "wait_reason": "WAIT_REASON_UNSPECIFIED", "result": { "status": "JOB_STATUS_SUCCEEDED", "message": "string", "steps": [ { "component": "string", "status": "JOB_STATUS_UNSPECIFIED", "message": "string" } ], "plan": { "components": [ { "component": "string", "changes": [ { "resource": { "api_version": "string", "kind": "string", "namespace": "string", "name": "string" }, "action": "ACTION_UNSPECIFIED", "diff_digest": "string" } ] } ], "diff_digest": "string" }, "inventory": [ { "component": "string", "resources": [ { "api_version": "string", "kind": "string", "namespace": "string", "name": "string" } ] } ] }, "created_at": "2023-01-15T01:30:15.01Z", "started_at": "2023-01-15T01:30:15.01Z", "finished_at": "2023-01-15T01:30:15.01Z" } ], "next_page_token": "string"}